﻿using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

/// <summary>
/// 实例化循环策略
/// </summary>
public enum ELoopPolicy
{
    /// <summary>
    /// 直属上级（中心看作一级部门上级）
    /// </summary>
    [Description("直属上级（中心看作一级部门上级）")]
    OrgLevelUpToCenter,

    /// <summary>
    /// 直属上级
    /// </summary>
    [Description("直属上级")]
    OrgLevelUp,

    /// <summary>
    /// 直属下级
    /// </summary>
    [Description("直属下级")]
    OrgLevelDown,
}